# 题目背景

`Alice` 和你正在进行最后的博弈。

然而对于被假定足够聪明的你们来说：

抉择就在眼前，结局早已注定。

# 题目描述

> 这是一道交互题。

游戏给出三个整数 $n,m,K$。

`Alice` 将选择一个整数 $x \in \{1,2,\dots,n\}$，但并不告诉你。

你可以多次的询问 `Alice`，每次询问都可以任意的给出一个集合 $S$，`Alice` 将回答你 $x$ 是否属于 $S$。

`Alice` 每一次都会马上回答你是或否，但是她可以撒谎。

唯一的限制是她连续撒谎的次数不能超过 $K$。

在你进行了若干次询问后，你需要给出一个大小至多为 $m$ 集合 $P$.

如果 $x$ 在这个集合 $P$ 中，那么你赢得游戏，否则 `Alice` 赢得游戏。

你已经知道在给定的数据下，你是**必胜**的，现在你只需要赢下与 `Alice` 的博弈。

具体来说，你有 $5 \times 10^4$ 次询问次数，你需要构造你的每一次询问，使得无论 `Alice` 选择哪一个 $x$，最后你都能确定 $x$ 一定是某个集合 $P$ 中的某一个元素。

注意，由于 `Alice` 会实时回答你每一次询问，因此你不必先构造好所有的询问。

最后输出这个 $P$ 集合表示你的答案，注意 $1 \leq |P| \leq m$。

如果你要逃离这宿命般的结局，那么你将在这题上得到 $0$ 分的成绩，这又何尝不是一种宿命呢？

# 输入输出格式

## 输入格式

第一行：一个整数 $test$ 表示测试点编号。

第二行：三个整数 $n$，$m$，$K$，含义同题面。

接下来，对于你的每一个询问，`Alice` 会马上回答你 `Yes` 或 `No` 分别表示 $x$ 属于或不属于询问集合 $S$。

## 输出格式

对于你的询问，每个询问一行，每一个元素间用空格隔开，形如：

$T$ $S_1$ $S_2$ $\dots$ $S_T$

$1 \leq T \leq n$ 表示集合大小，$1 \leq S_i \leq n$ 表示集合中的每一个元素。

注意，在你的所有询问结束之后，输出一个 $0$，独占一行。

接着，如题目中所说，你需要给出集合 $P$，输出方式与输出集合 $S$ 相同。

同时需要保证满足题目中的约束条件 $1 \leq |P| \leq m$。

# 数据范围与限制

| 测试点编号 | $n$ | $m$ | $K$ |
| - | - | - | - |
| $1$ | $n = 2000$ | $m = 1$ | $K = 0$ |
| $2$ | $n = 4$ | $m = 2$ | $K = 1$ |
| $3$ | $n = 100$ | $m = 20$ | $K = 4$ |
| $4$ | $n = 2000$ | $m = 300$ | $K = 8$ |
| $5$ | $n = 2000$ | $m = 600$ | $K = 9$ |

数据保证你存在必胜方案。

> 关于交互题

对于没有做过交互题的同学来说，对于这题的交互，你可以理解为：评测机扮演 `Alice` 的身份与你进行博弈，如果你赢了，则可以通过这一个测试点。

对于输入输出，只要像普通题目一样完成就好了，所有输入输出都在标准输入输出流中读取和输出。

唯一需要注意的是，输出完一行之后，需要刷新缓冲区，不然会面临 `TLE` 的问题。

比较简单的解决方式为使用：

```cpp
cout<<endl;
```

来输出换行，这样会自动刷新缓冲区。

值得注意的是，`Alice` 与你的程序运行的总时间为你这道题目花费的时间，但是我们保证 `Alice` 运行的总时间不超过 $1000ms$。